## visad.bom
Class CollectiveBarbManipulation.AnimationControlListener

    java.lang.Object
      visad.bom.CollectiveBarbManipulation.AnimationControlListener

All Implemented Interfaces:
  ControlListener, EventListener

Enclosing class:
  CollectiveBarbManipulation

class CollectiveBarbManipulation.AnimationControlListener
extends Object
implements ControlListener

Constructor Summary
`(package private)` `CollectiveBarbManipulation.AnimationControlListener()`

Method Summary
`void` `controlChanged(ControlEvent e)` send a ControlEvent to this ControlListener

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectiveBarbManipulation.AnimationControlListener

    CollectiveBarbManipulation.AnimationControlListener()

Method Detail

### controlChanged

    public void controlChanged(ControlEvent e)
                        throws VisADException,
                               RemoteException

  Description copied from interface: `ControlListener`
  send a ControlEvent to this ControlListener

  Specified by:
    `controlChanged` in interface `ControlListener`
  Throws:
    `VisADException`
    `RemoteException`